#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python3-configobj
Version		:	5.0.6
Release		:	17.2.0.rel%{?dist}
Summary		:	Config file reading, writing, and validation

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://configobj.readthedocs.org/
			#https://github.com/DiffSK/configobj

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-six
BuildRequires	:	python3-pytest

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
ConfigObj is a simple but powerful configuration file reader
and writer: an ini file round tripper. Its main feature is
that it is very easy to use, with a straightforward programmers
interface and a simple syntax for config files. 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{python3_sitelib}/_version.py
%{python3_sitelib}/configobj.py
%{python3_sitelib}/validate.py
%{python3_sitelib}/__pycache__/*.pyc
%{python3_sitelib}/configobj-%{version}-py%{python3_version}.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

echo "Version: %{version}" > PKG-INFO

%{__python}						\
	./setup.py					\
	build						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	./setup.py					\
	install						\
	--skip-build					\
	--prefix=%{_prefix}				\
	--root=%{buildroot}				\


#-----------------------------------------------------------------------------
%changelog
